|
@@ -0,0 +1,38 @@
|
|
|
|
|
+#!/bin/sh
|
|
|
|
|
+set -e
|
|
|
|
|
+
|
|
|
|
|
+local TESTDIR=$(readlink -f $(dirname $0))
|
|
|
|
|
+. $TESTDIR/framework
|
|
|
|
|
+setupenvironment
|
|
|
|
|
+configarchitecture "i386"
|
|
|
|
|
+setupaptarchive
|
|
|
|
|
+
|
|
|
|
|
+testequal 'Reading package lists...
|
|
|
|
|
+Building dependency tree...
|
|
|
|
|
+The following packages will be REMOVED:
|
|
|
|
|
+ findutils
|
|
|
|
|
+WARNING: The following essential packages will be removed.
|
|
|
|
|
+This should NOT be done unless you know exactly what you are doing!
|
|
|
|
|
+ findutils
|
|
|
|
|
+0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
|
|
|
|
|
+After this operation, 1745 kB disk space will be freed.
|
|
|
|
|
+E: Trivial Only specified but this is not a trivial operation.' aptget remove findutils --trivial-only
|
|
|
|
|
+
|
|
|
|
|
+testequal 'Reading package lists...
|
|
|
|
|
+Building dependency tree...
|
|
|
|
|
+The following packages will be REMOVED:
|
|
|
|
|
+ install-info
|
|
|
|
|
+0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
|
|
|
|
|
+After this operation, 262 kB disk space will be freed.
|
|
|
|
|
+E: Trivial Only specified but this is not a trivial operation.' aptget remove install-info --trivial-only
|
|
|
|
|
+
|
|
|
|
|
+testequal 'Reading package lists...
|
|
|
|
|
+Building dependency tree...
|
|
|
|
|
+The following packages will be REMOVED:
|
|
|
|
|
+ essentialpkg findutils
|
|
|
|
|
+WARNING: The following essential packages will be removed.
|
|
|
|
|
+This should NOT be done unless you know exactly what you are doing!
|
|
|
|
|
+ findutils essentialpkg (due to findutils)
|
|
|
|
|
+0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
|
|
|
|
|
+After this operation, 2007 kB disk space will be freed.
|
|
|
|
|
+E: Trivial Only specified but this is not a trivial operation.' aptget remove essentialpkg --trivial-only
|